REM @echo off
setlocal

REM set the name to be the application connector that is starting
	set CONNAME=%1
	set CONNPACKAGENAME=com.ibm.adapters.comadapter.COMAdapterAgent

REM set the server name to be the interchange that is being targeted
	set SERVER=%2

REM Branch between WBIA_RUNTIME and CROSSWORLDS
REM IF WBIA_RUNTIME is set use start_adapter launcher to run adapter
	If "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

REM call CWConnEnv
	call "%WBIA_RUNTIME%"\bin\CwConnEnv.bat

REM set the directory where the specific connector resides
	set CONNDIR="%WBIA_RUNTIME%"\connectors\%1

REM goto the connector specific drive & directory
	cd /d %CONNDIR%

REM set the AGENT - the name of the adapter jar	
	set AGENT=%CONNDIR%\CW%CONNAME%.jar
	if exist %CONNDIR%\BIA_%CONNAME%.jar set AGENT=BIA_%CONNAME%.jar

REM Set variables needed for start_adapter callee
	set JVMArgs=

REM Set JCLASSES - to be set in CLASSPATH
	set JCLASSES=%JCLASSES%;%AGENT%

call "%WBIA_RUNTIME%\bin\start_adapter" -n%CONNAME% -s%SERVER% -l%CONNPACKAGENAME% %3 %4 %5

goto END

:CROSSWORLDS

REM All the old functionality goes here

REM call CWConnEnv
	call "%CROSSWORLDS%"\bin\CWConnEnv

REM set the directory where the specific connector resides
	set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
	cd /d %CONNDIR%

REM set the AGENT - the name of the adapter jar	
	set AGENT=%CONNDIR%\CW%CONNAME%.jar
	if exist %CONNDIR%\BIA_%CONNAME%.jar set AGENT=BIA_%CONNAME%.jar

REM Set JCLASSES - to be set in CLASSPATH
	set JCLASSES=%JCLASSES%;%AGENT%

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine
REM start the Java connector under the Java Application End

%CWJAVA% -version
%CWJAVA% -oss10m -ms64m -mx128m %ORB_PROPERTY% -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS% -Djava.library.path="%CROSSWORLDS%"\bin;"%CONNDIR%";"%MQ_LIB%" -Duser.home="%CROSSWORLDS%" -cp %JCLASSES% AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER% %3 %4

:END

endlocal

pause
