@echo off
setlocal

REM IF WBIA_RUNTIME is set use ODK Runtime scripts
if "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

REM Invoke the CWODAENV.bat
call "%WBIA_RUNTIME%"\bin\CWODAEnv
set WBIA_JAR="%WBIA_RUNTIME%"\lib\WBIA.jar
goto LAUNCH

:CROSSWORLDS
REM Invoke the CWODAENV.bat
call "%CROSSWORLDS%"\bin\CWODAEnv
set WBIA_JAR="%CROSSWORLDS%"\lib\WBIA.jar

:LAUNCH
REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%";"%CROSSWORLDS%"\bin;%PATH%
set AGENTNAME=COMODA
set AGENT="%CROSSWORLDS%"\ODA\COM\BIA_COMODA.jar
set AGENTCLASS=com.ibm.oda.comoda.COMOda
set JCLASSES=%JCLASSES%;%AGENT%;%WBIA_JAR%

REM Start the Object Discovery Agent
echo %CWJAVA% -Duser.home="%CROSSWORLDS%" -Djava.ext.dirs=%JRE_EXT_DIRS% -mx128m %ORB_DEP% -classpath %JCLASSES%  com.crossworlds.ODKInfrastructure.%CONNECTION% -l%AGENTNAME% -c%AGENTCLASS% 
%CWJAVA% -Duser.home="%CROSSWORLDS%" -Djava.ext.dirs=%JRE_EXT_DIRS% -mx128m %ORB_DEP% -classpath %JCLASSES%  com.crossworlds.ODKInfrastructure.%CONNECTION% -l%AGENTNAME% -c%AGENTCLASS% 

endlocal
pause
